# NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
# https://openapi-generator.tech
# Do not edit the class manually.

defmodule FoyerAPI.Model.Classify200ResponseClassificationsInner do
  @moduledoc """
  
  """

  @derive [Poison.Encoder]
  defstruct [
    :name,
    :confidence,
    :rank
  ]

  @type t :: %__MODULE__{
    :name => String.t | nil,
    :confidence => float() | nil,
    :rank => integer() | nil
  }
end

defimpl Poison.Decoder, for: FoyerAPI.Model.Classify200ResponseClassificationsInner do
  def decode(value, _options) do
    value
  end
end

